| nandpsu Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XNandPsu Struct Reference
Overview

The XNandPsu structure contains the driver instance data. More...

## Data Fields
u32 | IsReady
| Device is initialized and ready. More...
u32 | Ecc_Stat_PerPage_flips
| Ecc Correctable Error Counter for Current Page. More...
u32 | Ecc_Stats_total_flips
| Total Ecc Errors Corrected. More...
XNandPsu_SWMode | Mode
| Driver operating mode. More...
XNandPsu_DmaMode | DmaMode
| MDMA mode enabled/disabled. More...
XNandPsu_EccMode | EccMode
| ECC Mode. More...
XNandPsu_EccCfg | EccCfg
| ECC configuration. More...
XNandPsu_Geometry | Geometry
| Flash geometry. More...
XNandPsu_Features | Features
| ONFI features. More...
XNandPsu_BbtDesc | BbtDesc
| Bad block table descriptor. More...
XNandPsu_BbtDesc | BbtMirrorDesc
| Mirror BBT descriptor. More...
XNandPsu_BadBlockPattern | BbPattern
| Bad block pattern to search. More...
u8 | Bbt [XNANDPSU_MAX_BLOCKS >> 2]
| Bad block table array. More...
u8 | FlashBbt [XNANDPSU_MAX_BLOCKS >> 2]
| BBT buffer for partial read/write from/to flash. More...

## Detailed Description

The XNandPsu structure contains the driver instance data.

The user is required to allocate a variable of this type for the NAND controller. A pointer to a variable of this type is then passed to the driver API functions.

## Field Documentation

XNandPsu_BadBlockPattern XNandPsu::BbPattern

Bad block pattern to search.

Referenced by XNandPsu_InitBbtDesc().

u8 XNandPsu::Bbt[XNANDPSU_MAX_BLOCKS >> 2]

Bad block table array.

Referenced by XNandPsu_IsBlockBad(), XNandPsu_MarkBlockBad(), and XNandPsu_ScanBbt().

XNandPsu_BbtDesc XNandPsu::BbtDesc

Bad block table descriptor.

Referenced by XNandPsu_InitBbtDesc(), and XNandPsu_ScanBbt().

XNandPsu_BbtDesc XNandPsu::BbtMirrorDesc

Mirror BBT descriptor.

Referenced by XNandPsu_InitBbtDesc(), and XNandPsu_ScanBbt().

XNandPsu_DmaMode XNandPsu::DmaMode

MDMA mode enabled/disabled.

Referenced by XNandPsu_CfgInitialize(), XNandPsu_DisableDmaMode(), XNandPsu_EnableDmaMode(), XNandPsu_Prepare_Cmd(), XNandPsu_ReadSpareBytes(), and XNandPsu_WriteSpareBytes().

u32 XNandPsu::Ecc_Stat_PerPage_flips

Ecc Correctable Error Counter for Current Page.

Referenced by XNandPsu_CfgInitialize().

u32 XNandPsu::Ecc_Stats_total_flips

Total Ecc Errors Corrected.

Referenced by XNandPsu_CfgInitialize().

XNandPsu_EccCfg XNandPsu::EccCfg

ECC configuration.

Referenced by XNandPsu_WriteSpareBytes().

XNandPsu_EccMode XNandPsu::EccMode

ECC Mode.

Referenced by XNandPsu_CfgInitialize(), XNandPsu_DisableEccMode(), XNandPsu_EnableEccMode(), XNandPsu_InitBbtDesc(), XNandPsu_Prepare_Cmd(), and XNandPsu_WriteSpareBytes().

XNandPsu_Features XNandPsu::Features

ONFI features.

Referenced by XNandPsu_CfgInitialize().

u8 XNandPsu::FlashBbt[XNANDPSU_MAX_BLOCKS >> 2]

BBT buffer for partial read/write from/to flash.

XNandPsu_Geometry XNandPsu::Geometry

Flash geometry.

Referenced by NandReadWriteExample(), XNandPsu_ChangeTimingMode(), XNandPsu_Erase(), XNandPsu_EraseBlock(), XNandPsu_InitBbtDesc(), XNandPsu_MarkBlockBad(), XNandPsu_Read(), XNandPsu_ReadSpareBytes(), XNandPsu_ScanBbt(), XNandPsu_Write(), and XNandPsu_WriteSpareBytes().

u32 XNandPsu::IsReady

Device is initialized and ready.

Referenced by XNandPsu_CfgInitialize(), XNandPsu_ChangeTimingMode(), XNandPsu_DisableDmaMode(), XNandPsu_DisableEccMode(), XNandPsu_EnableDmaMode(), XNandPsu_EnableEccMode(), XNandPsu_Erase(), XNandPsu_EraseBlock(), XNandPsu_GetFeature(), XNandPsu_IsBlockBad(), XNandPsu_MarkBlockBad(), XNandPsu_Read(), XNandPsu_ReadSpareBytes(), XNandPsu_ScanBbt(), XNandPsu_SetFeature(), XNandPsu_Write(), and XNandPsu_WriteSpareBytes().

XNandPsu_SWMode XNandPsu::Mode

Driver operating mode.

Referenced by XNandPsu_CfgInitialize().